%define pear_name HTML_QuickForm

Name:		php-pear-%{pear_name}
Version: 	3.2.12
Release: 	1.ru6
Summary: 	Provides methods for creating, validating, processing HTML forms.
Group:		Development/Libraries
License:	PHP License
URL:		http://pear.php.net/package/HTML_QuickForm
Source:		%{pear_name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	php-pear >= 1.4.0
Requires: 	php >= 4.3, php-pear >= 1.4.0, php-pear-HTML_Common >= 1.2.1


%description
The HTML_QuickForm package provides methods to dynamically create, validate
and render HTML forms.

Features:
* More than 20 ready-to-use form elements.
* XHTML compliant generated code.
* Numerous mixable and extendable validation rules.
* Automatic server-side validation and filtering.
* On request javascript code generation for client-side validation.
* File uploads support.
* Total customization of form rendering.
* Support for external template engines (ITX, Sigma, Flexy, Smarty).
* Pluggable elements, rules and renderers extensions.


%prep
%setup -q -c

mv package.xml %{pear_name}-%{version}/%{pear_name}.xml


%build
# Nothing to do here


%install
rm -rf %{buildroot} docdir

pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 HTML_QuickForm.xml %{buildroot}%{pear_xmldir}

popd
# Sort out documentation
%{__mkdir} docdir
mv %{buildroot}%{pear_docdir}/* docdir


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root)
%{pear_phpdir}/HTML/*
%doc %{pear_xmldir}/%{pear_name}.xml
%doc docdir/%{pear_name}/docs/*


%changelog
* Mon Jan 09 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 3.2.12-1.ru6
- Build for CentOS 6
* Fri Feb 18 2011 Daiyan Alamgir <daiyan@nbcs.rutgers.edu> - 3.2.12-1
- Updated to latest version
* Tue Nov 11 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 3.2.10-1
- Initial build.

